## GstPipeline GstPipeline |

## Functions

GstElement * | gst_pipeline_new ()
GstBus * | gst_pipeline_get_bus ()
gboolean | gst_pipeline_set_clock ()
GstClock * | gst_pipeline_get_pipeline_clock ()
GstClock * | gst_pipeline_get_clock ()
void | gst_pipeline_use_clock ()
void | gst_pipeline_auto_clock ()
void | gst_pipeline_set_auto_flush_bus ()
gboolean | gst_pipeline_get_auto_flush_bus ()
void | gst_pipeline_set_delay ()
GstClockTime | gst_pipeline_get_delay ()
void | gst_pipeline_set_latency ()
GstClockTime | gst_pipeline_get_latency ()

## Properties

gboolean | auto-flush-bus | Read / Write
guint64 | delay | Read / Write
guint64 | latency | Read / Write

## Types and Values

struct | GstPipeline
enum | GstPipelineFlags

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstPipeline

## Implemented Interfaces

GstPipeline implements GstChildProxy.

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_pipeline_new ()

    GstElement *
    gst_pipeline_new (const gchar *name);

### gst_pipeline_get_bus ()

    GstBus *
    gst_pipeline_get_bus (GstPipeline *pipeline);

### gst_pipeline_set_clock ()

    gboolean
    gst_pipeline_set_clock (GstPipeline *pipeline,
                            GstClock *clock);

### gst_pipeline_get_pipeline_clock ()

    GstClock *
    gst_pipeline_get_pipeline_clock (GstPipeline *pipeline);

### gst_pipeline_get_clock ()

    GstClock *
    gst_pipeline_get_clock (GstPipeline *pipeline);

### gst_pipeline_use_clock ()

    void
    gst_pipeline_use_clock (GstPipeline *pipeline,
                            GstClock *clock);

### gst_pipeline_auto_clock ()

    void
    gst_pipeline_auto_clock (GstPipeline *pipeline);

### gst_pipeline_set_auto_flush_bus ()

    void
    gst_pipeline_set_auto_flush_bus (GstPipeline *pipeline,
                                     gboolean auto_flush);

### gst_pipeline_get_auto_flush_bus ()

    gboolean
    gst_pipeline_get_auto_flush_bus (GstPipeline *pipeline);

### gst_pipeline_set_delay ()

    void
    gst_pipeline_set_delay (GstPipeline *pipeline,
                            GstClockTime delay);

### gst_pipeline_get_delay ()

    GstClockTime
    gst_pipeline_get_delay (GstPipeline *pipeline);

### gst_pipeline_set_latency ()

    void
    gst_pipeline_set_latency (GstPipeline *pipeline,
                              GstClockTime latency);

### gst_pipeline_get_latency ()

    GstClockTime
    gst_pipeline_get_latency (GstPipeline *pipeline);

## Types and Values

### struct GstPipeline

    struct GstPipeline {
      GstClock      *fixed_clock;

      GstClockTime   stream_time;
      GstClockTime   delay;
    };

### enum GstPipelineFlags

#### Members

GST_PIPELINE_FLAG_FIXED_CLOCK |  |
GST_PIPELINE_FLAG_LAST |  |

## Property Details

### The `“auto-flush-bus”` property

      “auto-flush-bus”           gboolean

Whether to automatically flush the pipeline's bus when going from READY into NULL state.

Flags: Read / Write

Default value: TRUE

### The `“delay”` property

      “delay”                    guint64

Expected delay needed for elements to spin up to PLAYING in nanoseconds.

Flags: Read / Write

Default value: 0

### The `“latency”` property

      “latency”                  guint64

Latency to configure on the pipeline.

Flags: Read / Write

Default value: 18446744073709551615